mixed-port: 7890
allow-lan: false
mode: rule
log-level: info
external-controller: 127.0.0.1:9090
secret: ""
dns:
  enabled: true
  listen: 0.0.0.0:53
  enhanced-mode: fake-ip
  nameserver:
    - 223.5.5.5
    - 8.8.8.8
  fallback:
    - https://dns.google/dns-query
    - https://cloudflare-dns.com/dns-query
proxies:
  - name: "HY2_[2001:bc8:32d7:17b::3]_22000"
    type: "hysteria2"
    server: "[2001:bc8:32d7:17b::3]"
    port: 22000
    password: "dongtaiwang.com"
    sni: "www.microsoft.com"
    skip-cert-verify: true
  - name: "HY2_157.254.223.43:27921,28000-29000_443"
    type: "hysteria2"
    server: "157.254.223.43:27921,28000-29000"
    port: 443
    password: "dongtaiwang.com"
    sni: "www.bing.com"
    skip-cert-verify: true
  - name: "HY_5.83.129.90_54177"
    type: "hysteria"
    server: "5.83.129.90"
    port: 54177
    auth_str: "dongtaiwang.com"
    alpn:
      - "h3"
    protocol: "udp"
    up: "11 Mbps"
    down: "55 Mbps"
    sni: "apple.com"
    insecure: true
  - name: "HY2_[2a10:3c80:0:f::2]_39463"
    type: "hysteria2"
    server: "[2a10:3c80:0:f::2]"
    port: 39463
    password: "VNws548Lj/fDRk58HE6dKAcTNpb8+iIk+ycqKEBNG/U="
    sni: "www.microsoft.com"
    skip-cert-verify: true
  - name: "HY_5.83.129.153_20088"
    type: "hysteria"
    server: "5.83.129.153"
    port: 20088
    auth_str: "dongtaiwang.com"
    alpn:
      - "h3"
    protocol: "udp"
    up: "11 Mbps"
    down: "55 Mbps"
    sni: "apple.com"
    insecure: true
  - name: "VLESS_118.166.0.164_44965"
    type: "vless"
    server: "118.166.0.164"
    port: 44965
    uuid: "b0a4c3bf-f170-46e2-8cef-7ed2fc2e6748"
    network: "xhttp"
    tls: true
    udp: true
    client-fingerprint: "chrome"
    realityOpts:
      public-key: "z1_FVLAxN66t1373faq2D-BV8B7CyILrwc0vMiYw9Cc"
      short-id: "d3c7911a"
      spider-x: "/"
    servername: "www.cloudflare.com"
  - name: "VLESS_89.144.35.230_54582"
    type: "vless"
    server: "89.144.35.230"
    port: 54582
    uuid: "5cfc52bc-e701-4160-89df-930a0c040576"
    network: "xhttp"
    tls: true
    udp: true
    client-fingerprint: "chrome"
    realityOpts:
      public-key: "kfw5DgkyKiovC3dzb-o2PUYnZPnbYvbx2IwERUv9czY"
      short-id: "225e2cc8"
      spider-x: "/"
    servername: "apple.com"

proxy-groups:
  - name: "🚀 自动选择"
    type: url-test
    url: "http://www.gstatic.com/generate_204"
    interval: 300
    tolerance: 50
    proxies: ["proxy0","proxy1","proxy2","proxy3","proxy4","proxy5","proxy6"]

  - name: "♻️ 故障转移"
    type: fallback
    url: "http://www.gstatic.com/generate_204"
    interval: 300
    proxies: ["proxy0","proxy1","proxy2","proxy3","proxy4","proxy5","proxy6"]

  - name: "🌍 手动切换"
    type: select
    proxies: ["proxy0","proxy1","proxy2","proxy3","proxy4","proxy5","proxy6"]

rules:
  - GEOIP,LAN,DIRECT
  - GEOIP,CN,DIRECT
  - MATCH,"🌍 手动切换"
